Index: /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_domain.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_domain.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_domain.pro	(revision 114)
@@ -40,4 +40,7 @@
 ;*********************************************************************
 pro cw_domain_set_value, id, value
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 ;
@@ -257,4 +260,7 @@
 ;*********************************************************************
 FUNCTION cw_domain_get_value, id
+;
+  compile_opt idl2, strictarrsubs
+;
    box = lonarr(6)
    possiblecase = ['lon1', 'lon2', 'lat1', 'lat2', 'depth1', 'depth2']
@@ -268,4 +274,7 @@
 ;*********************************************************************
 FUNCTION cw_domain_event, event
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 ; help,  /struct, event
@@ -411,4 +420,7 @@
 FUNCTION cw_domain, parent, BOXZOOM = boxzoom, STRICT = strict, UVALUE = uvalue, UNAME = uname, UNZOOM = unzoom, _extra = ex
 ;
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 @cm_4data
@@ -449,5 +461,5 @@
   min = floor(min([glamt, glamf], max = max))
   max = ceil(max)
-  IF max-min EQ 361 AND keyword_set(key_periodic) THEN max = max-1
+  IF max-min GT 360 AND keyword_set(key_periodic) THEN max = min+360
   lonbase = widget_base(baseh1, column = 2, space = 0, uname = 'lonbase', uvalue = {name:'geographic'})
   lon1id = cw_slider_pm(lonbase, value = min > boxzoom[0] < ((boxzoom[1] < max)-keyword_set(strict)) $
Index: /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_droplist_pm.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_droplist_pm.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_droplist_pm.pro	(revision 114)
@@ -144,4 +144,7 @@
 ;----------------------------------------------------------------------
 PRO cw_droplist_pm_set_value, id, value
+;
+  compile_opt idl2, strictarrsubs
+;
    DroplistId = widget_info(id,find_by_uname = 'Droplist')
    if size(value, /type) eq 8 then BEGIN ; this is a structure
@@ -160,4 +163,7 @@
 ;----------------------------------------------------------------------
 FUNCTION cw_droplist_pm_get_value, id
+;
+  compile_opt idl2, strictarrsubs
+;
    DroplistId = widget_info(id,find_by_uname = 'Droplist')
    return, {droplist_number:widget_info(DroplistId, /droplist_number) $
@@ -167,4 +173,7 @@
 ;----------------------------------------------------------------------
 FUNCTION cw_droplist_pm_event, event
+;
+  compile_opt idl2, strictarrsubs
+;
    widget_control, event.id, get_uvalue=uval
 ;
@@ -191,4 +200,7 @@
 ;----------------------------------------------------------------------
 FUNCTION cw_droplist_pm, parent,UVALUE = uvalue, UNAME = uname, ROW = row, COLUMN = column, _extra = ex
+;
+  compile_opt idl2, strictarrsubs
+;
 
    IF (N_PARAMS() NE 1) THEN MESSAGE, 'Incorrect number of arguments'
Index: /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_pagelayout.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_pagelayout.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_pagelayout.pro	(revision 114)
@@ -2,4 +2,7 @@
 ;*********************************************************************
 FUNCTION cw_pagelayout_event, event
+;
+  compile_opt idl2, strictarrsubs
+;
 
    widget_control, event.id, get_uvalue=uval
@@ -78,4 +81,7 @@
 FUNCTION cw_pagelayout, parent, small, UVALUE = uvalue, UNAME = uname, UNZOOM = unzoom, COLUMN = column, ROW = row, _extra = ex
 ;------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
   row = keyword_set(row)*(1-keyword_set(column))  
   if NOT keyword_set(uvalue) then uvalue = ''
Index: /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.pro	(revision 114)
@@ -1,3 +1,6 @@
 pro cw_slide_slice_set_value, id, value
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
    topid = findtopid(id)
@@ -34,4 +37,7 @@
 ;----------------------------------------------------------------------
 FUNCTION cw_slide_slice_event,  event
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
    widget_control, event.id, get_uvalue=uval
@@ -104,4 +110,7 @@
 ;--------------------------------------------------------------------------------
 FUNCTION cw_slide_slice, parent, boxzoom = boxzoom, UVALUE = uvalue, UNAME = uname, FRAME = frame, ROW = row, COLUMN = column, _extra = ex
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 ;------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm.pro	(revision 114)
@@ -136,4 +136,7 @@
 ;----------------------------------------------------------------------
 FUNCTION decvalue, value
+;
+  compile_opt idl2, strictarrsubs
+;
   a = float(value[0])
   return, strtrim(string(floor(a) + 0.1*indgen(10), format = '(f15.1)'), 2)
@@ -141,4 +144,7 @@
 ;----------------------------------------------------------------------
 FUNCTION decind, value
+;
+  compile_opt idl2, strictarrsubs
+;
   a = float(value[0])
   return, round(10*(a - floor(a))) ; !! computation accuracy
@@ -146,4 +152,7 @@
 ;----------------------------------------------------------------------
 PRO cw_slider_pm_set_value, id, value
+;
+  compile_opt idl2, strictarrsubs
+;
   sbid = widget_info(id, find_by_uname = 'SliderBar')
   dcid = widget_info(id, find_by_uname = 'decimal')
@@ -195,4 +204,7 @@
 ;----------------------------------------------------------------------
 FUNCTION cw_slider_pm_get_value, id
+;
+  compile_opt idl2, strictarrsubs
+;
   sbid = widget_info(id, find_by_uname = 'SliderBar')
   dcid = widget_info(id, find_by_uname = 'decimal')
@@ -203,4 +215,7 @@
 ;----------------------------------------------------------------------
 FUNCTION cw_slider_pm_event, event
+;
+  compile_opt idl2, strictarrsubs
+;
   widget_control, event.id, get_uvalue = uval
 ;
@@ -237,4 +252,7 @@
                        , STRMINLEN = strminlen, VALUE = value, UVALUE = uvalue $
                        , UNAME = uname, title = title, _extra = ex
+;
+  compile_opt idl2, strictarrsubs
+;
 
   IF (N_PARAMS() NE 1) THEN MESSAGE, 'Incorrect number of arguments'
Index: /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_specifie.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_specifie.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_specifie.pro	(revision 114)
@@ -2,4 +2,7 @@
 ;*****************************************************
 PRO cw_specifie_set_value, id, value
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_general
    if size(value, /type) NE 8 then return
@@ -26,4 +29,7 @@
 ;*****************************************************
 FUNCTION cw_specifie_get_value, id
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_general
    widget_control, widget_info(id,find_by_uname='min'), get_value = min
@@ -53,4 +59,7 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
   widget_control, event.id, get_uvalue = uval
   widget_control, event.top, get_uvalue = top_uvalue
@@ -87,4 +96,7 @@
 FUNCTION cw_specifie, parent, ROW = row, COLUMN = column, UVALUE = uvalue, UNAME = uname, FRAME = frame, FORXXX = forxxx, _extra = ex
 ; cheking exclusive keywords
+;
+  compile_opt idl2, strictarrsubs
+;
    column = keyword_set(column)*(1-keyword_set(row))
    row = keyword_set(row)*(1-keyword_set(column)) +(keyword_set(row) EQ column) 
Index: /trunk/SRC/ToBeReviewed/WIDGET/findtopid.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/findtopid.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/WIDGET/findtopid.pro	(revision 114)
@@ -34,4 +34,7 @@
 ;------------------------------------------------------------
 FUNCTION findtopid,  identite
+;
+  compile_opt idl2, strictarrsubs
+;
    id = long(identite)
 ;    exist = widget_info(id, /managed)
Index: /trunk/SRC/ToBeReviewed/WIDGET/slec.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/slec.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/WIDGET/slec.pro	(revision 114)
@@ -2,4 +2,7 @@
 ;---------------------------------------------------------
 ; include common
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4data
   IF NOT keyword_set(key_forgetold) THEN BEGIN
Index: /trunk/SRC/ToBeReviewed/WIDGET/xnotice.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/xnotice.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/WIDGET/xnotice.pro	(revision 114)
@@ -42,4 +42,7 @@
 ; on separe le text en differentes lignes (separees par !C) si ce
 ; n''est pas deja fait...
+;
+  compile_opt idl2, strictarrsubs
+;
    if n_elements(text) EQ 1 then text = str_sep(text, '!C', /trim)
 ;
Index: /trunk/SRC/ToBeReviewed/WIDGET/xquestion.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/xquestion.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/WIDGET/xquestion.pro	(revision 114)
@@ -54,4 +54,7 @@
 ;-------------------------------------------------------------------------
 pro xquestion_event, event
+;
+  compile_opt idl2, strictarrsubs
+;
 ; we get the answer
    widget_control, widget_info(event.top, find_by_uname = 'text') $
@@ -66,4 +69,7 @@
 ;-------------------------------------------------------------------------
 FUNCTION xquestion, question, proposedanswer, CHKWIDGET = chkwidget, _extra = ex ;
+;
+  compile_opt idl2, strictarrsubs
+;
 ; is separate line a scalar? we must cut it into pieces? 
    if n_elements(question) EQ 1 then question = str_sep(question, '!C', /trim)
Index: /trunk/SRC/ToBeReviewed/WIDGET/xx.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/xx.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/WIDGET/xx.pro	(revision 114)
@@ -1,4 +1,7 @@
 
 PRO xx,  JOUR = jour, MESHFILENAME = meshfilename,  LISTVAR = listvar, LISTGRID = listgrid, FUNCLEC_NAME = funclec_name, CALENDAR = calendar, _extra = ex
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
 @common
@@ -20,10 +23,10 @@
    ENDIF
 ; calendrier a utiliser (en jours juliens d''IDL   
-   if NOT keyword_set(calendar) then BEGIN 
-      if keyword_set(jour) then calendar = calendriertotem(/julian_day) ELSE calendar = calendriertotem(/julian_day, /mensuel)
-   ENDIF
+;++++    if NOT keyword_set(calendar) then BEGIN 
+;++++       if keyword_set(jour) then calendar = calendriertotem(/julian_day) ELSE calendar = calendriertotem(/julian_day, /mensuel)
+;++++    ENDIF
 ; nom du fichier se rapportant au masque
    if NOT keyword_set(meshfilename) then meshfilename = '/usr1/com/smasson/IDL/INIT/inittotem.pro'
-   meshparameters = whichgrid(meshfilename)
+;++++   meshparameters = whichgrid(meshfilename)
 ; parameteres specifiant comment doit etre lu le champ
    readparameters= {funclec_name: funclec_name $
Index: /trunk/SRC/ToBeReviewed/WIDGET/xxx.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/xxx.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/WIDGET/xxx.pro	(revision 114)
@@ -42,4 +42,7 @@
 PRO xxx_event, event
 ;------------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 ;------------------------------------------------------------
@@ -129,4 +132,7 @@
          , RESTORE = restore, _EXTRA = ex
 ;------------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @all_cm
 ;------------------------------------------------------------
Index: /trunk/SRC/Utilities/def_myuniquetmpdir.pro
===================================================================
--- /trunk/SRC/Utilities/def_myuniquetmpdir.pro	(revision 113)
+++ /trunk/SRC/Utilities/def_myuniquetmpdir.pro	(revision 114)
@@ -15,4 +15,7 @@
 ;-
 PRO def_myuniquetmpdir
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_general
 ;
Index: /trunk/SRC/Utilities/demomode_compatibility.pro
===================================================================
--- /trunk/SRC/Utilities/demomode_compatibility.pro	(revision 113)
+++ /trunk/SRC/Utilities/demomode_compatibility.pro	(revision 114)
@@ -4,4 +4,7 @@
 ;-
 PRO demomode_compatibility
+;
+  compile_opt idl2, strictarrsubs
+;
 
 ;
Index: /trunk/SRC/Utilities/find.pro
===================================================================
--- /trunk/SRC/Utilities/find.pro	(revision 113)
+++ /trunk/SRC/Utilities/find.pro	(revision 114)
@@ -95,4 +95,7 @@
                , LOOKALLDIR = LOOKALLDIR, _extra = ex
 ; define where we look for the file
+;
+  compile_opt idl2, strictarrsubs
+;
   CASE 1 OF
     keyword_set(lookalldir):BEGIN 
Index: /trunk/SRC/Utilities/isadirectory.pro
===================================================================
--- /trunk/SRC/Utilities/isadirectory.pro	(revision 113)
+++ /trunk/SRC/Utilities/isadirectory.pro	(revision 114)
@@ -37,4 +37,7 @@
 FUNCTION isadirectory, directoryin, TITLE = title, IODIRECTORY = iodirectory, _extra = ex
 ;
+;
+  compile_opt idl2, strictarrsubs
+;
   CASE 1 OF
     (size(directoryin, /type))[0] EQ 7:directory = directoryin
Index: /trunk/SRC/Utilities/isafile.pro
===================================================================
--- /trunk/SRC/Utilities/isafile.pro	(revision 113)
+++ /trunk/SRC/Utilities/isafile.pro	(revision 114)
@@ -60,7 +60,10 @@
                   , ONLYNC = onlync, _extra = ex
 ;------------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
   CASE 1 OF
     (size(filein, /type))[0] EQ 7:fileout = filein
-    keyword_set(filename):fileout = filename
+    keyword_set(filename):fileout = filename[0]
     ELSE:fileout = 'file that is not existing'
   ENDCASE
Index: /trunk/SRC/Utilities/protype.pro
===================================================================
--- /trunk/SRC/Utilities/protype.pro	(revision 113)
+++ /trunk/SRC/Utilities/protype.pro	(revision 114)
@@ -33,4 +33,7 @@
 FUNCTION protype, file
 ;
+;
+  compile_opt idl2, strictarrsubs
+;
   filepro = (find(file[0], /onlypro, /firstfound))[0]
   if filepro EQ 'NOT FOUND' then return, -1
Index: /trunk/SRC/buildinit.pro
===================================================================
--- /trunk/SRC/buildinit.pro	(revision 113)
+++ /trunk/SRC/buildinit.pro	(revision 114)
@@ -72,4 +72,7 @@
     XSIZE=XSize, YSIZE=YSize, UNAME=uname
 ;   FLOOR=vmin, CEILING=vmax 
+;
+  compile_opt idl2, strictarrsubs
+;
   resolve_routine, 'cw_field', /compile_full_file, /is_function
     ;   Examine our keyword list and set default values
@@ -140,4 +143,7 @@
 PRO printerdef_event, event
 ; get back the ids of the cw_field widgets
+;
+  compile_opt idl2, strictarrsubs
+;
   widget_control, event.id, get_uvalue = cwids
   IF size(cwids, /n_dimensions) EQ 1 THEN cwids = reform(cwids, 3, 1)
@@ -170,4 +176,7 @@
 PRO papsize_event, event
 ; get back the ids of the cw_field widgets
+;
+  compile_opt idl2, strictarrsubs
+;
   widget_control, event.id, get_uvalue = uvalue
   IF uvalue[0] NE 'ok' THEN return
@@ -190,4 +199,7 @@
 PRO xask_event, event
 ; now we give the answer to buildinit.pro by using the pointer uvalue
+;
+  compile_opt idl2, strictarrsubs
+;
    widget_control, event.top, get_uvalue = ptranswer
    *ptranswer = event.value
@@ -201,4 +213,7 @@
 ;
 FUNCTION xask, _extra = ex
+;
+  compile_opt idl2, strictarrsubs
+;
   base = widget_base() 
   field = cw_field2(base, /frame, /return_events, /column, _extra = ex) 
@@ -218,4 +233,7 @@
 ;
 FUNCTION getdir, title = title, nomark = nomark, nowrite = nowrite
+;
+  compile_opt idl2, strictarrsubs
+;
   
   REPEAT BEGIN
@@ -235,4 +253,7 @@
 ;
 PRO buildinit
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
   IF fix(strmid(!version.release, 0, 1)) LT 6 THEN BEGIN 
